# Class SendChatMessageRequest

#### Hierarchy

- unknown
  - SendChatMessageRequest

- Defined in src/protobuf/grpc_pb.d.ts:2688
- Defined in src/protobuf/grpc_pb.d.ts:2703

#####
Index

### Constructors

constructor

### Methods

getMessage
getTradeId
serializeBinary
setMessage
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SendChatMessageRequest(): SendChatMessageRequest

- #### Returns SendChatMessageRequest

  Inherited from jspb.Message.constructor

## Methods

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2692

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:2689

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2695

### setMessage

- setMessage(value: string): SendChatMessageRequest

- #### Parameters

  - ##### value: string

  #### Returns SendChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2693

### setTradeId

- setTradeId(value: string): SendChatMessageRequest

- #### Parameters

  - ##### value: string

  #### Returns SendChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2690

### toObject

- toObject(includeInstance?: boolean): SendChatMessageRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SendChatMessageRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2696

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendChatMessageRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2699

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendChatMessageRequest, reader: BinaryReader): SendChatMessageRequest

- #### Parameters

  - ##### message: SendChatMessageRequest

  - ##### reader: BinaryReader

  #### Returns SendChatMessageRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2700

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SendChatMessageRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SendChatMessageRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2698

### `Static` toObject

- toObject(includeInstance: boolean, msg: SendChatMessageRequest): SendChatMessageRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendChatMessageRequest

  #### Returns SendChatMessageRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2697

Generated using TypeDoc